Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.builders
Interface RequestObjectBuilder

All Superinterfaces:
  ConfigurableImplementation

All Known Implementing Classes:
  RequestObjectBuilderImpl

    public interface RequestObjectBuilder

extends ConfigurableImplementation

Interface with the methods used to created the consult or notify request. Default impl : `RequestObjectBuilderImpl` Factory : `BuilderFactory`

Method Summary
`Confirm` | `buildConfirmRequest(OrigineType origin, List<MsgResponse> msgResponses, List<TAckResponse> tackResponses)` Builds a Confirm request from given parameters
`Confirm` | `buildConfirmRequestWithHashes(OrigineType origin, List<byte[]> msgHashValues, List<byte[]> tackContents)` Builds a Confirm request from given parameters
`Get` | `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery)` Builds a Get request from given parameters
`Post` | `buildPostRequest(CommonInput commonInput, Blob blob, byte[] xades)` Builds a Post request from given parameters
`MsgQuery` | `createMsgQuery(Integer max, Boolean include, String... messageNames)` convenience builder for `MsgQuery`
`Query` | `createQuery(Integer max, Boolean include)` O creates the `Query` object.

Methods inherited from interface be.ehealth.technicalconnector.utils.ConfigurableImplementation
`initialize`

Method Detail

### createQuery

    Query createQuery(Integer max,
                      Boolean include)

  O creates the `Query` object.

  Parameters:
    `max` - maximum number of tack results
    `include` - set to false if no responses should be returned, the default value is 'true'
  Returns:
    `Query`

### createMsgQuery

    MsgQuery createMsgQuery(Integer max,
                            Boolean include,
                            String... messageNames)

  convenience builder for `MsgQuery`

  Parameters:
    `max` - maximum number of tack results
    `include` - set to false if no responses should be returned, the default value is 'true'
    `messageNames` - indicate the message types to receive, if no names are given , all messages for careProvider will be returned
  Returns:
    `MsgQuery`

### buildPostRequest

    Post buildPostRequest(CommonInput commonInput,
                          Blob blob,
                          byte[] xades)

  Builds a Post request from given parameters

  Parameters:
    `commonInput` - the common input
    `blob` - the details of the transaction
    `xades` - the xades
  Returns:
    the Post object

### buildGetRequest

    Get buildGetRequest(OrigineType origin,
                        MsgQuery msgQuery,
                        Query tackQuery)

  Builds a Get request from given parameters

  Parameters:
    `origin` - the origin
    `msgQuery` - the message query
    `tackQuery` - the tack query
  Returns:
    the Get object

### buildConfirmRequest

    Confirm buildConfirmRequest(OrigineType origin,
                                List<MsgResponse> msgResponses,
                                List<TAckResponse> tackResponses)
                                throws TechnicalConnectorException,
                                       DataFormatException

  Builds a Confirm request from given parameters

  Parameters:
    `origin` - the origin
    `msgResponses` - the list of messages responses (from the get response)
    `tackResponses` - tackContents the tack contents (from the get response)
  Returns:
    the Confirm object
  Throws:
    `DataFormatException` - if an error occurs while decompressing the blob
    `TechnicalConnectorException`

### buildConfirmRequestWithHashes

    Confirm buildConfirmRequestWithHashes(OrigineType origin,
                                          List<byte[]> msgHashValues,
                                          List<byte[]> tackContents)

  Builds a Confirm request from given parameters

  Parameters:
    `origin` -
    `msgResponses` -
    `tackResponses` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.